### Method

# GLib Source set_funcs

since: 2.12

#### Declaration [src]

    void
    g_source_set_funcs (
      GSource* source,
      GSourceFuncs* funcs
    )

#### Description [src]

Sets the source functions of an unattached source.

These can be used to override the default implementations for the type of `source`.

Available since: 2.12

#### Parameters

`funcs`

  Type: `GSourceFuncs`

  The new source functions.

  The data is owned by the caller of the method.